Debian Bug report logs - #510728
network-manager: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: network-manager-applet; Maintainer for network-manager-applet is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>;

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 15:09:04 UTC

Severity: normal

Found in version 0.6.6-3

Fixed in version network-manager-applet/0.7.0-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#510728; Package network-manager-applet. (Sun, 04 Jan 2009 15:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 04 Jan 2009 15:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 15:06:05 +0000
[Message part 1 (text/plain, inline)]
Package: network-manager-applet
Version: 0.6.6-3
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

nm-applet's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see
http://bugzilla.gnome.org/show_bug.cgi?id=563730 for the equivalent
changes to NetworkManager).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:21:17 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:21:17 GMT) Full text and rfc822 format available.

Message #10 received at 510728-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 510728-close@bugs.debian.org
Subject: Bug#510728: fixed in network-manager-applet 0.7.0-2
Date: Sun, 15 Feb 2009 14:01:07 +0000
Source: network-manager-applet
Source-Version: 0.7.0-2

We believe that the bug you reported is fixed in the latest version of
network-manager-applet, which is due to be installed in the Debian FTP archive:

network-manager-applet_0.7.0-2.diff.gz
  to pool/main/n/network-manager-applet/network-manager-applet_0.7.0-2.diff.gz
network-manager-applet_0.7.0-2.dsc
  to pool/main/n/network-manager-applet/network-manager-applet_0.7.0-2.dsc
network-manager-gnome_0.7.0-2_i386.deb
  to pool/main/n/network-manager-applet/network-manager-gnome_0.7.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510728@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager-applet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Feb 2009 16:16:35 +0100
Source: network-manager-applet
Binary: network-manager-gnome
Architecture: source i386
Version: 0.7.0-2
Distribution: experimental
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 network-manager-gnome - network management framework (GNOME frontend)
Closes: 510728
Changes: 
 network-manager-applet (0.7.0-2) experimental; urgency=low
 .
   * debian/patches/01-dbus_access_nm_applet.patch
     - Remove bare send_interface directives to avoid non-deterministic allow
       messages with no interface. (Closes: #510728)
     - Do not allow unpriviledged processes to ask for a users' connections.
     - Allow introspection by default.
   * debian/control
     - Wrap build dependencies.
     - Bump build dependency on debhelper to (>= 7).
   * debian/compat
     - Bump to debhelper v7 compat mode.
Checksums-Sha1: 
 59894c0fdd9d84c40276096862e12badec36a1b5 1757 network-manager-applet_0.7.0-2.dsc
 9419dd38fb3201829bd684023f42b7f258a0f745 5982 network-manager-applet_0.7.0-2.diff.gz
 1d7ee7dc7d03b1913c284746569f7e6fb5c7895e 648568 network-manager-gnome_0.7.0-2_i386.deb
Checksums-Sha256: 
 381cfd31d7f97573da75ea5ca7b2df0ea9d30adad8780cae3b620de50bc66e55 1757 network-manager-applet_0.7.0-2.dsc
 d12b75ed0f9b0ca445f1dea25d5820e14d50ff2d0b88b541fd2dd89a4184d090 5982 network-manager-applet_0.7.0-2.diff.gz
 e25ef7d7620c6852397205e089964b6f917f5bdf8b98ac0155e5df6ea8fb424f 648568 network-manager-gnome_0.7.0-2_i386.deb
Files: 
 c1e768d197c44d8f550ab9a4fd18acf6 1757 gnome optional network-manager-applet_0.7.0-2.dsc
 0acc45a3bbf14a22c7c84ca804fc2690 5982 gnome optional network-manager-applet_0.7.0-2.diff.gz
 7972f5d0a97ce8a85b29f3d005e51f6e 648568 gnome optional network-manager-gnome_0.7.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmW4XkACgkQh7PER70FhVTV5wCgymmcxLnLRAAeVU2QQnrK7RVB
dNYAmwSWRTow0Nc2188axyB4+HemUGlQ
=Vt5G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 May 2009 07:29:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:57:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.